__author__ = "Victor Golovanenko"
__copyright__ = "Copyright (C) 2021, Victor Golovanenko"
__license__ = "MIT"
__version__ = "0.1"
import sys
import itertools
import datetime as dt

# Форматы для словаря дат
DATE_FORMATS = [
    '%d%m%Y',
    '%d.%m.%Y',
    '%d-%m-%Y',
    '%d/%m/%Y',
    '%Y%m%d',
    '%Y.%m.%d',
    '%Y-%m-%d',
    '%Y/%m/%d'
]
# Форматы для словаря "год-год"
YEAR_YEAR_FORMATS =[
    '{}{}',
    '{}.{}',
    '{}-{}'
]

try:
    file = open(sys.argv[1], 'w')
except IndexError:
    print("Использование: {0} <выходной файл>\nПример: {0} wordlist.txt".format(sys.argv[0]))
    exit(1)

DAY = dt.timedelta(days=1)
start = dt.datetime.strptime(input("Дата начала (в формате 11.01.2021): "), '%d.%m.%Y')
end = dt.datetime.strptime(input("Дата конца (в формате 11.01.2021): "), '%d.%m.%Y')

years = (str(i) for i in range(start.year, end.year + 1))
for word in itertools.product(years, repeat=2):
    for f in YEAR_YEAR_FORMATS:
        file.write(f.format(*word) + '\n')

while start != end + DAY:
    for f in DATE_FORMATS:
        file.write(start.strftime(f) + '\n')
    start += DAY

file.close()
